/**
  Open a file,
  jump 12 bytes from the start,
  and read 100 bytes from there.
  
  Orion Sky Lawlor, olawlor@acm.org, 2005/3/28 (public domain)
*/
#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int main() {
	FILE *f=fopen("test.dat","r");
	if (f==NULL) {printf("Couldn't open file\n");exit(1);}
	fseek(f,12,SEEK_CUR);
	char buf[100];
	
	int len=fread(buf,1,100,f); // Read up to 100 bytes
	
	fwrite(buf,1,len,stdout); // write data to stdout
	fclose(f);
	return 0;
}
